io.etcd.jetcd.api

## Class WatchRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<WatchRequest.Builder>
      - - io.etcd.jetcd.api.WatchRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, WatchRequestOrBuilder, Cloneable

Enclosing class:
  WatchRequest

    public static final class WatchRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<WatchRequest.Builder>
    implements WatchRequestOrBuilder

Protobuf type `etcdserverpb.WatchRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`WatchRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`WatchRequest` `build()`
`WatchRequest` `buildPartial()`
`WatchRequest.Builder` `clear()`
`WatchRequest.Builder` `clearCancelRequest()` `.etcdserverpb.WatchCancelRequest cancel_request = 2;`
`WatchRequest.Builder` `clearCreateRequest()` `.etcdserverpb.WatchCreateRequest create_request = 1;`
`WatchRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`WatchRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`WatchRequest.Builder` `clearRequestUnion()`
`WatchRequest.Builder` `clone()`
`WatchCancelRequest` `getCancelRequest()` `.etcdserverpb.WatchCancelRequest cancel_request = 2;`
`WatchCancelRequest.Builder` `getCancelRequestBuilder()` `.etcdserverpb.WatchCancelRequest cancel_request = 2;`
`WatchCancelRequestOrBuilder` `getCancelRequestOrBuilder()` `.etcdserverpb.WatchCancelRequest cancel_request = 2;`
`WatchCreateRequest` `getCreateRequest()` `.etcdserverpb.WatchCreateRequest create_request = 1;`
`WatchCreateRequest.Builder` `getCreateRequestBuilder()` `.etcdserverpb.WatchCreateRequest create_request = 1;`
`WatchCreateRequestOrBuilder` `getCreateRequestOrBuilder()` `.etcdserverpb.WatchCreateRequest create_request = 1;`
`WatchRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`WatchRequest.RequestUnionCase` `getRequestUnionCase()`
`boolean` `hasCancelRequest()` `.etcdserverpb.WatchCancelRequest cancel_request = 2;`
`boolean` `hasCreateRequest()` `.etcdserverpb.WatchCreateRequest create_request = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`WatchRequest.Builder` `mergeCancelRequest(WatchCancelRequest value)` `.etcdserverpb.WatchCancelRequest cancel_request = 2;`
`WatchRequest.Builder` `mergeCreateRequest(WatchCreateRequest value)` `.etcdserverpb.WatchCreateRequest create_request = 1;`
`WatchRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`WatchRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`WatchRequest.Builder` `mergeFrom(WatchRequest other)`
`WatchRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`WatchRequest.Builder` `setCancelRequest(WatchCancelRequest.Builder builderForValue)` `.etcdserverpb.WatchCancelRequest cancel_request = 2;`
`WatchRequest.Builder` `setCancelRequest(WatchCancelRequest value)` `.etcdserverpb.WatchCancelRequest cancel_request = 2;`
`WatchRequest.Builder` `setCreateRequest(WatchCreateRequest.Builder builderForValue)` `.etcdserverpb.WatchCreateRequest create_request = 1;`
`WatchRequest.Builder` `setCreateRequest(WatchCreateRequest value)` `.etcdserverpb.WatchCreateRequest create_request = 1;`
`WatchRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`WatchRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`WatchRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchRequest.Builder>`

#### clear

    public WatchRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchRequest.Builder>`

#### getDefaultInstanceForType

    public WatchRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public WatchRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public WatchRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public WatchRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchRequest.Builder>`

#### setField

    public WatchRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                         Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchRequest.Builder>`

#### clearField

    public WatchRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchRequest.Builder>`

#### clearOneof

    public WatchRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchRequest.Builder>`

#### setRepeatedField

    public WatchRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                 int index,
                                                 Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchRequest.Builder>`

#### addRepeatedField

    public WatchRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                 Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchRequest.Builder>`

#### mergeFrom

    public WatchRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<WatchRequest.Builder>`

#### mergeFrom

    public WatchRequest.Builder mergeFrom(WatchRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchRequest.Builder>`

#### mergeFrom

    public WatchRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                   throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<WatchRequest.Builder>`
Throws:
  `IOException`

#### getRequestUnionCase

    public WatchRequest.RequestUnionCase getRequestUnionCase()

Specified by:
  `getRequestUnionCase` in interface `WatchRequestOrBuilder`

#### clearRequestUnion

    public WatchRequest.Builder clearRequestUnion()

#### hasCreateRequest

    public boolean hasCreateRequest()

`.etcdserverpb.WatchCreateRequest create_request = 1;`

Specified by:
  `hasCreateRequest` in interface `WatchRequestOrBuilder`
Returns:
  Whether the createRequest field is set.

#### getCreateRequest

    public WatchCreateRequest getCreateRequest()

`.etcdserverpb.WatchCreateRequest create_request = 1;`

Specified by:
  `getCreateRequest` in interface `WatchRequestOrBuilder`
Returns:
  The createRequest.

#### setCreateRequest

    public WatchRequest.Builder setCreateRequest(WatchCreateRequest value)

`.etcdserverpb.WatchCreateRequest create_request = 1;`

#### setCreateRequest

    public WatchRequest.Builder setCreateRequest(WatchCreateRequest.Builder builderForValue)

`.etcdserverpb.WatchCreateRequest create_request = 1;`

#### mergeCreateRequest

    public WatchRequest.Builder mergeCreateRequest(WatchCreateRequest value)

`.etcdserverpb.WatchCreateRequest create_request = 1;`

#### clearCreateRequest

    public WatchRequest.Builder clearCreateRequest()

`.etcdserverpb.WatchCreateRequest create_request = 1;`

#### getCreateRequestBuilder

    public WatchCreateRequest.Builder getCreateRequestBuilder()

`.etcdserverpb.WatchCreateRequest create_request = 1;`

#### getCreateRequestOrBuilder

    public WatchCreateRequestOrBuilder getCreateRequestOrBuilder()

`.etcdserverpb.WatchCreateRequest create_request = 1;`

Specified by:
  `getCreateRequestOrBuilder` in interface `WatchRequestOrBuilder`

#### hasCancelRequest

    public boolean hasCancelRequest()

`.etcdserverpb.WatchCancelRequest cancel_request = 2;`

Specified by:
  `hasCancelRequest` in interface `WatchRequestOrBuilder`
Returns:
  Whether the cancelRequest field is set.

#### getCancelRequest

    public WatchCancelRequest getCancelRequest()

`.etcdserverpb.WatchCancelRequest cancel_request = 2;`

Specified by:
  `getCancelRequest` in interface `WatchRequestOrBuilder`
Returns:
  The cancelRequest.

#### setCancelRequest

    public WatchRequest.Builder setCancelRequest(WatchCancelRequest value)

`.etcdserverpb.WatchCancelRequest cancel_request = 2;`

#### setCancelRequest

    public WatchRequest.Builder setCancelRequest(WatchCancelRequest.Builder builderForValue)

`.etcdserverpb.WatchCancelRequest cancel_request = 2;`

#### mergeCancelRequest

    public WatchRequest.Builder mergeCancelRequest(WatchCancelRequest value)

`.etcdserverpb.WatchCancelRequest cancel_request = 2;`

#### clearCancelRequest

    public WatchRequest.Builder clearCancelRequest()

`.etcdserverpb.WatchCancelRequest cancel_request = 2;`

#### getCancelRequestBuilder

    public WatchCancelRequest.Builder getCancelRequestBuilder()

`.etcdserverpb.WatchCancelRequest cancel_request = 2;`

#### getCancelRequestOrBuilder

    public WatchCancelRequestOrBuilder getCancelRequestOrBuilder()

`.etcdserverpb.WatchCancelRequest cancel_request = 2;`

Specified by:
  `getCancelRequestOrBuilder` in interface `WatchRequestOrBuilder`

#### setUnknownFields

    public final WatchRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchRequest.Builder>`

#### mergeUnknownFields

    public final WatchRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<WatchRequest.Builder>`